import { Component, OnInit } from '@angular/core';
import { RegisterService } from 'src/app/services/register.service';
import { Observable } from 'rxjs';

@Component({
  selector: 'app-register-layout',
  templateUrl: './register-layout.component.html',
  styleUrls: ['./register-layout.component.css']
})
export class RegisterLayoutComponent implements OnInit {

  step:number = 1;

  constructor(public registerService:RegisterService) { }

  ngOnInit(): void {
    this.registerService.currentStep.subscribe(
      data => {
        this.step = data;
      }
    );
  }

}
